#ifdef WIN32
#include "windows.h"
#endif

#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>
#include <math.h>
#include <stdlib.h>
#include <time.h>
#include <stdio.h>
#include <string.h>

#include "bezier.h"

void bezier()
{
	int i;
	GLfloat ctrlpoints[4][3] = {
	{ -4.0, -4.0, 0.0}, { -2.0, 4.0, 0.0}, 
	{2.0, -4.0, 0.0}, {4.0, 4.0, 0.0}};

	glRGB(255,0,0);
   glMap1f(GL_MAP1_VERTEX_3, 0.0, 1.0, 3, 4, &ctrlpoints[0][0]);
   glEnable(GL_MAP1_VERTEX_3);

   glBegin(GL_LINE_STRIP);
      for (i = 0; i <= 30; i++) 
         glEvalCoord1f((GLfloat) i/30.0);
   glEnd();

}
void bezierSceneGraph()
{
    cvs.root=node("root");
	cvs.root->f=bezier;
}
void processBezier()
{
	glScalef(5.0,5.0,5.0);
	glPushAttrib(GL_LIGHTING);
	glDisable(GL_LIGHTING);
	traverseSceneGraph(cvs.root);
	glPopAttrib();
	//Relative to the Window dimensions
	glPrintf(5,5,-10,"Bezier");

}
